[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[GNUnet-SVN] r7364 - Extractor/src/test
From: |
gnunet |
Subject: |
[GNUnet-SVN] r7364 - Extractor/src/test |
Date: |
Sat, 28 Jun 2008 23:55:26 -0600 (MDT) |
Author: holindho
Date: 2008-06-28 23:55:26 -0600 (Sat, 28 Jun 2008)
New Revision: 7364
Modified:
Extractor/src/test/fuzz_default.sh
Extractor/src/test/fuzz_thumbnail.sh
Log:
preserve the file that caused the error
Modified: Extractor/src/test/fuzz_default.sh
===================================================================
--- Extractor/src/test/fuzz_default.sh 2008-06-29 05:43:18 UTC (rev 7363)
+++ Extractor/src/test/fuzz_default.sh 2008-06-29 05:55:26 UTC (rev 7364)
@@ -21,14 +21,14 @@
then
tmpfile=`mktemp extractortmp.XXXXXX` || exit 1
seed=$ZZSTARTSEED
- trap "echo crashed by $tmpfile ; exit 1" SEGV
+ trap "echo $tmpfile caused SIGSEGV ; exit 1" SEGV
while [ $seed -lt $ZZSTOPSEED ]
do
echo "file $file seed $seed"
zzuf -c -s $seed cat "$file" > "$tmpfile"
if ! "$bindir/extract" "$tmpfile" > /dev/null
then
- rm -f "$tmpfile"
+ echo "$tmpfile caused error exit"
exit 1
fi
seed=`expr $seed + 1`
Modified: Extractor/src/test/fuzz_thumbnail.sh
===================================================================
--- Extractor/src/test/fuzz_thumbnail.sh 2008-06-29 05:43:18 UTC (rev
7363)
+++ Extractor/src/test/fuzz_thumbnail.sh 2008-06-29 05:55:26 UTC (rev
7364)
@@ -21,14 +21,14 @@
then
tmpfile=`mktemp extractortmp.XXXXXX` || exit 1
seed=$ZZSTARTSEED
- trap "echo crashed by $tmpfile ; exit 1" SEGV
+ trap "echo $tmpfile caused SIGSEGV ; exit 1" SEGV
while [ $seed -lt $ZZSTOPSEED ]
do
echo "file $file seed $seed"
zzuf -c -s $seed cat "$file" > "$tmpfile"
if ! "$bindir/extract" -n -l libextractor_thumbnail:libextractor_mime
"$tmpfile" > /dev/null
then
- rm -f "$tmpfile"
+ echo "$tmpfile caused error exit"
exit 1
fi
seed=`expr $seed + 1`
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [GNUnet-SVN] r7364 - Extractor/src/test,
gnunet <=